about summary refs log tree commit diff
path: root/corepkgs
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2003-08-06T09·35+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2003-08-06T09·35+0000
commitd551062ec4cf33b73df4e0d38671cbe6ca03abc5 (patch)
treea0e2db4d6f42379eb7929fd1ad8eaf827afc0ac4 /corepkgs
parent236eb59293194071ac518c12d0cc6fe0a3f0ac5f (diff)
* Scan for wget and use the full path in fetchurl.sh.
* Use nix-hash (not md5sum) in fetchurl.sh.

Diffstat (limited to 'corepkgs')
-rw-r--r--corepkgs/fetchurl/fetchurl.sh.in (renamed from corepkgs/fetchurl/fetchurl.sh)4
1 files changed, 2 insertions, 2 deletions
diff --git a/corepkgs/fetchurl/fetchurl.sh b/corepkgs/fetchurl/fetchurl.sh.in
index 7b6243974d..dc92c7ee50 100644
--- a/corepkgs/fetchurl/fetchurl.sh
+++ b/corepkgs/fetchurl/fetchurl.sh.in
@@ -1,9 +1,9 @@
 #! /bin/sh
 
 echo "downloading $url into $out..."
-wget "$url" -O "$out" || exit 1
+@wget@ "$url" -O "$out" || exit 1
 
-actual=$(md5sum -b $out | cut -c1-32)
+actual=$(@bindir@/nix-hash --flat $out)
 if ! test "$actual" == "$md5"; then
     echo "hash is $actual, expected $md5"
     exit 1